Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# FLAC__Subframe Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Detailed Description

FLAC subframe structure. (c.f. format specification)

## Public Attributes
FLAC__SubframeType | type
union {
FLAC__Subframe_Constant constant
FLAC__Subframe_Fixed fixed
FLAC__Subframe_LPC lpc
FLAC__Subframe_Verbatim verbatim
} | data
unsigned | wasted_bits

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |